#include <wx/wxprec.h>
#ifndef WX_PRECOMP
   #include <wx/wx.h>
#endif

#include "base.h"
#include "stdio.h"
IMPLEMENT_APP(MainApp)

bool MainApp::OnInit(){
	win *MainFrame  = new win(NULL);
	MainFrame->Show(TRUE);
   	SetTopWindow(MainFrame);

   return TRUE;
}
// 
BEGIN_EVENT_TABLE(win, wxFrame)
   EVT_MENU(ID_MAINWIN_QUIT, win::OnQuit)
   EVT_BUTTON(SRC_BUT_ID, win::OnButtonClick)
   EVT_SIZE(win::OnSize)
   EVT_TEXT_ENTER(SRC_LINE_ID,win::OnButtonClick)
END_EVENT_TABLE()

win::win( wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style ) : wxFrame( parent, id, title, pos, size, style )
{
	//this->SetSizeHints( wxDefaultSize, wxDefaultSize );
	this->SetBackgroundColour( wxSystemSettings::GetColour( wxSYS_COLOUR_3DLIGHT ) );
	
	wxBoxSizer* bSizer9;
	bSizer9 = new wxBoxSizer( wxVERTICAL );
	
	wxGridSizer* gSizer8;
	gSizer8 = new wxGridSizer( 1, 1, 0, 0 );
	
	wxBoxSizer* bSizer6;
	bSizer6 = new wxBoxSizer( wxHORIZONTAL );
	
	wxGridSizer* gSizer5;
	gSizer5 = new wxGridSizer( 1, 1, 0, 0 );
	
	gSizer5->SetMinSize( wxSize( 300,-1 ) ); 
	wxBoxSizer* bSizer3;
	bSizer3 = new wxBoxSizer( wxVERTICAL );
	
	bSizer3->SetMinSize( wxSize( 280,-1 ) ); 
	// 
	src_line = new wxTextCtrl( this, SRC_LINE_ID, wxT(" "), wxDefaultPosition, wxDefaultSize, 0 );
	src_line->SetMaxLength(46);
	bSizer3->Add( src_line, 0, wxEXPAND|wxALL, 5 );
	
	m_staticText4 = new wxStaticText( this, wxID_ANY, wxT(""), wxDefaultPosition, wxDefaultSize, 0 );

	bSizer3->Add( m_staticText4, 0, wxEXPAND|wxALL, 5 );
	// 
	src_res = new wxListBox( this, RES_ID, wxDefaultPosition, wxDefaultSize, 0, NULL, 0 ); 
	bSizer3->Add( src_res, 0, wxEXPAND|wxALL, 5 );
	
	gSizer5->Add( bSizer3, 0, wxEXPAND, 5 );
	
	bSizer6->Add( gSizer5, 0, wxEXPAND, 5 );
	
	wxGridSizer* gSizer6;
	gSizer6 = new wxGridSizer( 1, 1, 0, 0 );
	
	wxBoxSizer* bSizer4;
	bSizer4 = new wxBoxSizer( wxVERTICAL );
	// 
	src_but = new wxButton( this, SRC_BUT_ID, wxT(""), wxDefaultPosition, wxDefaultSize, 0 );
	bSizer4->Add( src_but, 0, wxTOP|wxRIGHT|wxLEFT, 5 );
	
	m_staticText2 = new wxStaticText( this, wxID_ANY, wxT("  "), wxDefaultPosition, wxDefaultSize, 0 );
	//m_staticText2->Wrap( -1 );
	bSizer4->Add( m_staticText2, 0, wxALL, 5 );
	//  
	wxString abc_listChoices[] = { wxT(" "),wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT(""), wxT("") };
	int abc_listNChoices = sizeof( abc_listChoices ) / sizeof( wxString );
	abc_list = new wxChoice( this, ABC_LIST_ID, wxDefaultPosition, wxDefaultSize, abc_listNChoices, abc_listChoices, 0 );
	abc_list->SetSelection( 0 );
	bSizer4->Add( abc_list, 0, wxALL, 5 );
	
	gSizer6->Add( bSizer4, 1, wxEXPAND, 5 );
	
	bSizer6->Add( gSizer6, 1, wxEXPAND, 5 );
	
	gSizer8->Add( bSizer6, 1, wxEXPAND, 5 );
	
	bSizer9->Add( gSizer8, 1, wxEXPAND, 5 );
	
	wxGridSizer* gSizer9;
	gSizer9 = new wxGridSizer( 1, 1, 0, 0 );
	
	scroll_block = new wxScrolledWindow( this, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxVSCROLL );
	scroll_block->SetScrollRate( 5, 5 );
	wxGridSizer* gSizer10;
	gSizer10 = new wxGridSizer( 1, 1, 0, 0 );
	//   
	src_info = new wxGrid( scroll_block, INFO_ID, wxDefaultPosition, wxDefaultSize, 0 );
	
	// Grid
	src_info->CreateGrid( 0, 6 );
	src_info->EnableEditing( false );
	src_info->EnableGridLines( true );
	src_info->EnableDragGridSize( false );
	src_info->SetMargins( 0, 0 );
	src_info->SetScrollLineX(1);
	
	// Columns
	src_info->SetColSize( 0, 100 );//
	src_info->SetColSize( 1, 180 );//
	src_info->SetColSize( 2, 80 );//
	src_info->SetColSize( 3, 55 );//
	src_info->SetColSize( 4, 55 );//
	src_info->SetColSize( 5, 55 );//

	src_info->EnableDragColSize( false );
	src_info->SetColLabelSize( 30 );
	src_info->SetColLabelValue( 0, wxT("") );
	src_info->SetColLabelValue( 1, wxT("") );
	src_info->SetColLabelValue( 2, wxT("") );
	src_info->SetColLabelValue( 3, wxT("") );
	src_info->SetColLabelValue( 4, wxT("") );
	src_info->SetColLabelValue( 5, wxT("") );
	src_info->SetColLabelAlignment( wxALIGN_CENTRE, wxALIGN_CENTRE );
	
	// Rows
	//src_info->SetRowSize( 0, 0 );
	src_info->AutoSizeRows();
	src_info->SetRowLabelSize(1);
	src_info->SetRowLabelAlignment( wxALIGN_CENTRE, wxALIGN_CENTRE );
	
	// Label Appearance
	
	// Cell Defaults
	src_info->SetDefaultCellAlignment( wxALIGN_LEFT, wxALIGN_TOP );
	gSizer10->Add( src_info, 1, wxALIGN_CENTER_HORIZONTAL|wxEXPAND|wxALL, 5 );
	
	scroll_block->SetSizer( gSizer10 );
	scroll_block->Layout();
	gSizer10->Fit( scroll_block );
	gSizer9->Add( scroll_block, 1, wxALL|wxEXPAND, 5 );
	
	bSizer9->Add( gSizer9, 1, wxEXPAND, 5 );
	
	this->SetSizer( bSizer9 );
	this->Layout();
}
//
win::~win()
{
}
//
void win::OnQuit(wxCommandEvent & WXUNUSED(event)){
     mysql_close(conn);
     Close(TRUE);
}
// ""
void win::OnSize(wxSizeEvent& event){
	 this->SetSize(wxSize(600,305));
}
// ""
void win::OnButtonClick(wxCommandEvent& event){

    int num_row=0; //  
    
    wxString key=src_line->GetValue(); // 
    //  
    key.Trim();
    key+=" ";
    alert(key);
    //  
    wxString fname,iname,oname;
    //
    int stop_index=key.Find(" ");
    fname=key.Left(stop_index);
    
    //-----* " "------
    if (fname.IsEmpty()) fname=key.Upper();
    //-------------------------------
    key.Remove(0,stop_index+1);
    // 
    stop_index=key.Find(" ");
    iname=key.Left(stop_index);
    key.Remove(0,stop_index+1);
    //
    stop_index=key.Find(" ");
    oname=key.Left(stop_index);
    key.Remove(0,stop_index);
    //
    wxString query="select podr.podrname,concat(kflbak.kflbakfname,\" \",kflbak.kflbakiname,\" \",kflbak.kflbakoname) as name, phone.phonestatus, phone.phonenumber, room.roomname, korpus.korpusname from dbmsfu.kflbak, phone, podr, room, korpus where kflbak.kflbakfname like \""+fname+"%\" and kflbak.kflbakiname like \""+iname+"%\" and kflbak.kflbakoname like \""+oname+"%\" and phone.phonekflbakid=kflbak.kflbakid and phone.phonepodrid=podr.podrid and korpus.korpusid=phone.phonekorpusid and room.roomid=phone.phoneroomid";

    
}
void win::alert(wxString msg){
	//wxString obj;
	msg.Printf("%s",msg.GetData());
    wxMessageBox(msg, wxT("programm message"),
                 wxOK, this);	
}
